Show / Hide Table of Contents

# Enum SDL.SDL_GLattr

###### Namespace: SDL2

###### Assembly: SDL2-CS.dll

##### Syntax

    public enum SDL_GLattr

### Fields

Name | Description
--- | ---
SDL_GL_ACCELERATED_VISUAL |
SDL_GL_ACCUM_ALPHA_SIZE |
SDL_GL_ACCUM_BLUE_SIZE |
SDL_GL_ACCUM_GREEN_SIZE |
SDL_GL_ACCUM_RED_SIZE |
SDL_GL_ALPHA_SIZE |
SDL_GL_BLUE_SIZE |
SDL_GL_BUFFER_SIZE |
SDL_GL_CONTEXT_EGL |
SDL_GL_CONTEXT_FLAGS |
SDL_GL_CONTEXT_MAJOR_VERSION |
SDL_GL_CONTEXT_MINOR_VERSION |
SDL_GL_CONTEXT_NO_ERROR |
SDL_GL_CONTEXT_PROFILE_MASK |
SDL_GL_CONTEXT_RELEASE_BEHAVIOR |
SDL_GL_CONTEXT_RESET_NOTIFICATION |
SDL_GL_DEPTH_SIZE |
SDL_GL_DOUBLEBUFFER |
SDL_GL_FRAMEBUFFER_SRGB_CAPABLE |
SDL_GL_GREEN_SIZE |
SDL_GL_MULTISAMPLEBUFFERS |
SDL_GL_MULTISAMPLESAMPLES |
SDL_GL_RED_SIZE |
SDL_GL_RETAINED_BACKING |
SDL_GL_SHARE_WITH_CURRENT_CONTEXT |
SDL_GL_STENCIL_SIZE |
SDL_GL_STEREO |

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()